/**
 * EasyBeans
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: HandlerChains.java 4642 2009-02-19 10:40:57Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IHandlerChains;
import org.ow2.util.ee.metadata.common.api.xml.struct.IHandlerChain;

import java.util.List;
import java.util.ArrayList;

/**
 * The HandlerChains is the representant of the XML element <code>handler-chains</code>.
 *
 * @author Guillaume Sauthier
 */
public class HandlerChains implements IHandlerChains {

    /**
     * Chains elements.
     */
    private List<IHandlerChain> handlerChains = new ArrayList<IHandlerChain>();

    /**
     * @return the list of <code>handler-chain</code>
     */
    public List<IHandlerChain> getHandlerChains() {
        return handlerChains;
    }

    /**
     * Add a new handler-chain
     * @param handlerChain added element
     */
    public void addHandlerChain(IHandlerChain handlerChain) {
        this.handlerChains.add(handlerChain);
    }
}
